### Home Classes Methods

### In Files

- c/CtrlHistoLink.rb

### Parent

Object

### Methods

- #destructionFen
- #rejouer
- #saisie
- #sauv

### Class/Module Index

Quicksearch

- CtrlCheckLinks
- CtrlHistoLink
- Menu
- ReadFile
- Vue1
- VueHisto
- VueMenu
- VueResult

No matching classes.

# CtrlHistoLink

Classe permettant de gzrer l’historique de fichier traité et la vue VueHisto

### Public Instance Methods

destructionFen() click to toggle source

Controleur permettant de detruire la vue historique

    # File c/CtrlHistoLink.rb, line 27
    def destructionFen
    @v.getWindow.destroy
    Gtk.main_quit
    end

rejouer(pathName) click to toggle source

Permet de rejouer les liens d'un fichier

- Sting pathName : chemin du fichier de l’historique à rejouer

    # File c/CtrlHistoLink.rb, line 21
    def rejouer(pathName)
            r = CtrlCheckLinks.new
            @urls = r.recupUrls(pathName)
    end

saisie() click to toggle source

Saisie pour vérification de lien stocké en historique, controleur VueHisto

    # File c/CtrlHistoLink.rb, line 4
    def saisie
            @v = VueHisto.new(self,"Historique") #creation vue
            @v.getWindow.show_all # affichage
            Gtk.main
    end

sauv(pathName, urls) click to toggle source

Sauvegarde les liens dans un fichier pour historique

- String pathName : chemin du fichier à mettre en historique

- String urls : liste urls à sauver dans l’historique

    # File c/CtrlHistoLink.rb, line 12
    def sauv(pathName, urls)
            pathName = File.basename(pathName)
            f = File.new("../sauv/#{pathName}", "w+")
            f.write(urls)
            f.close
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.